namespace ELearning.Wpf.UI
{
    using System.Windows;

    internal class DebugHelper
    {
        public static void ShowDebugMessageBox(string message)
        {
#if DEBUG
            MessageBox.Show(message, ProductName, MessageBoxButton.OK, MessageBoxImage.Stop);
#endif
            
            LogError(message);
        }

        public static string ProductName
        {
            get
            {
                return Application.Current.MainWindow.GetType().Assembly.GetName().Name;
            }
        }

        private static void LogError(string message)
        {
            // TODO: Add logging
        }
    }
}