﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ELearning.Wpf.UI
{
    [Serializable]
    public class Test
    {
        public string Name { get; set; }
        public List<Question> Questions { get; set; }
    }

    [Serializable]
    public class Question
    {
        public string QuestionText { get; set; }
        public List<Answer> Answers { get; set; }

        public QuestionType QuestionType { get; set; }
    }

    public enum QuestionType
    {
        Simple,
        Geo
    }

    [Serializable]
    public class Answer
    {
        public string Text { get; set; }

        public bool IsCorrect { get; set; }
        
        public bool IsChecked { get; set; }
    }

    class TestDisplay
    {
        public long Id { get; set; }
        public string Name { get; set; }

        public override string ToString()
        {
            return Name;
        }
    }
}
