﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace vkUpploaderApp
{
    public static class AvailableLanguages
    {
        public static IList<KeyValuePair<string, string>> Languages = new List<KeyValuePair<string, string>>();

        static AvailableLanguages()
        {
            Languages.Add(new KeyValuePair<string, string>("en", "English"));
            Languages.Add(new KeyValuePair<string, string>("ru", "Русский (Russian)"));
        }

        public static string GetName(string culture)
        {
            foreach (var pair in Languages)
            {
                if (pair.Key == culture)
                    return pair.Value;
            }
            return null;
        }
    }

}
