﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using vkUpploaderLib.Resourses;

namespace vkUpploaderLib
{
    public static class PermissionsDictionary
    {
        public static IList<KeyValuePair<int, string>> PermissionsView = new List<KeyValuePair<int, string>>
                                                                 {
                                                                     new KeyValuePair<int, string>(0, StringResources.Everyone),
                                                                     new KeyValuePair<int, string>(1, StringResources.FriendsOnly),
                                                                     new KeyValuePair<int, string>(2, StringResources.FriendsAndFriends),
                                                                     new KeyValuePair<int, string>(3, StringResources.OnlyI),
                                                                 };
        public static IList<KeyValuePair<int, string>> PermissionsComment = new List<KeyValuePair<int, string>>(PermissionsView);

        public static IList<KeyValuePair<int, string>> PermissionsGroupView = new List<KeyValuePair<int, string>>
                                                                 {
                                                                     new KeyValuePair<int, string>(0, StringResources.Everyone),
                                                                     new KeyValuePair<int, string>(1, StringResources.MembersOnly),
                                                                 };
        public static IList<KeyValuePair<int, string>> PermissionsGroupComment = new List<KeyValuePair<int, string>>(PermissionsGroupView);

    }
}
