﻿using System;

namespace vkUpploaderApp
{
    internal class ExceptionEventArgs : EventArgs
    {
        private readonly Exception _exception;

        public string Message
        {
            get
            {
                return _exception.Message;
            }
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="ExceptionEventArgs"/> class.
        /// </summary>
        /// <param name="exception">The exception.</param>
        public ExceptionEventArgs(Exception exception)
        {
            _exception = exception;
        }
    }
}